Change the name, summary or cover of a course
PATCH
/apps/{appId}/courses/{courseId}
const url = 'https://api.passion.io/v1/apps/example/courses/example';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","summary":"example","coverFileId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.passion.io/v1/apps/example/courses/example \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "summary": "example", "coverFileId": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”appId
required
The id of the App, as Studio shows it.
string
courseId
required
The id of a course, as list_courses lists it.
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
The new name of the course.
string
summary
The new summary of the course.
string
coverFileId
An uploaded image that becomes the cover of the course.
string
Examplegenerated
{ "name": "example", "summary": "example", "coverFileId": "example"}Responses
Section titled “Responses”OK